s4/ldb: fix shell syntax error in test script
authorBjörn Jacke <bj@sernet.de>
Thu, 2 Dec 2010 09:29:18 +0000 (10:29 +0100)
committerBjoern Jacke <bj@sernet.de>
Thu, 2 Dec 2010 09:36:06 +0000 (10:36 +0100)
source4/lib/ldb/tests/test-schema.sh

index 2f10fb45e2a735962c13a375acdfcc6c6c24c74f..97841844db8c75d8fc0ed616196c430b748f0abe 100755 (executable)
@@ -19,12 +19,12 @@ $VALGRIND bin/ldbmodify $LDBDIR/tests/schema-tests/schema-mod-test-1.ldif || exi
 $VALGRIND bin/ldbmodify $LDBDIR/tests/schema-tests/schema-mod-test-2.ldif || exit 1
 $VALGRIND bin/ldbmodify $LDBDIR/tests/schema-tests/schema-mod-test-3.ldif || exit 1
 $VALGRIND bin/ldbmodify $LDBDIR/tests/schema-tests/schema-mod-test-4.ldif
-if [ "$?" == "0" ]; then
+if [ "$?" = "0" ]; then
        echo "test failed!"
        exit 1
 fi
 $VALGRIND bin/ldbmodify $LDBDIR/tests/schema-tests/schema-mod-test-5.ldif
-if [ "$?" == "0" ]; then
+if [ "$?" = "0" ]; then
        echo "test failed!"
        exit 1
 fi